Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451693 - Review Request: garmin-sync - Utility for syncing data from Garmin Edge/Forerunner devices
Summary: Review Request: garmin-sync - Utility for syncing data from Garmin Edge/Forer...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 451692
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 18:29 UTC by Jeremy Katz
Modified: 2008-06-23 18:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-23 18:24:08 UTC
bdpepple: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jeremy Katz 2008-06-16 18:29:51 UTC
Spec URL: http://katzj.fedorapeople.org/review/garmin-sync/garmin-sync.spec
SRPM URL: http://katzj.fedorapeople.org/review/garmin-sync/garmin-sync-0.3-1.fc10.src.rpm
Description:
garmin-sync allows you to download information from your Garmin Edge
and Forerunner devices.

Comment 1 Brian Pepple 2008-06-17 00:07:59 UTC
MD5Sum:
230074f770e02c91875bf372363f9853  garmin-sync-0.3.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Valid license tag
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners
* Package installs and uninstalls cleanly
* rpmlint produces no errors or warnings.

Note: I don't have a Garmin GPS unit, so I'm unable to verify that it works
correctly, but from a packaging standpoint it's fine.

+1 APPROVED.

Comment 2 Jeremy Katz 2008-06-17 00:49:00 UTC
Thanks for the quick review -- function seems okay in some basic testing,
although there's definitely room for it to be nicer

New Package CVS Request
=======================
Package Name: garmin-sync
Short Description: Download data from Garmin fitness computers
Owners: katzj
Branches: devel F-9
Cvsextras Commits: yes


Comment 3 Kevin Fenzi 2008-06-17 17:19:24 UTC
cvs done.

Comment 4 Jeremy Katz 2008-06-23 18:24:08 UTC
Build underway


Note You need to log in before you can comment on or make changes to this bug.